#include "stdafx.h"
#include "PayloadHdd.h"


CPayloadHdd::CPayloadHdd(void)
{

}

CPayloadHdd::~CPayloadHdd(void)
{
}

bool CPayloadHdd::parseBinary(unsigned char *data, int iLength)
{
	if(iLength < sizeof(PAYLOAD_HDD) + 128/*ڿ*/)
		return false;

	PPAYLOAD_HDD pHeader = (PPAYLOAD_HDD)data;

	TRACE("CPayloadHdd::parseBinary\n");
	m_PayloadHdd.m_iMatch		= ntohl(pHeader->m_iMatch);
	m_PayloadHdd.m_iTopDist1	= ntohl(pHeader->m_iTopDist1);
	m_PayloadHdd.m_iTopDist2	= ntohl(pHeader->m_iTopDist2);
	m_PayloadHdd.m_iTopMin		= ntohl(pHeader->m_iTopMin);
	m_PayloadHdd.m_iTopMax		= ntohl(pHeader->m_iTopMax);
	m_PayloadHdd.m_iRightDist1	= ntohl(pHeader->m_iRightDist1);
	m_PayloadHdd.m_iRightDist2	= ntohl(pHeader->m_iRightDist2);
	m_PayloadHdd.m_iRightMin	= ntohl(pHeader->m_iRightMin);
	m_PayloadHdd.m_iRightMax	= ntohl(pHeader->m_iRightMax);

	m_barResult = (char *)(data + sizeof(PAYLOAD_HDD));
	m_ocrResult = (char *)(data + sizeof(PAYLOAD_HDD) + 64);

	TRACE("m_iMatch			: %d\n", ntohl(pHeader->m_iMatch));
	TRACE("m_iTopDist1		: %d\n", ntohl(pHeader->m_iTopDist1));
	TRACE("m_iTopDist2		: %d\n", ntohl(pHeader->m_iTopDist2));
	TRACE("m_iTopMin		: %d\n", ntohl(pHeader->m_iTopMin));
	TRACE("m_iTopMax		: %d\n", ntohl(pHeader->m_iTopMax));
	TRACE("m_iRightDist1	: %d\n", ntohl(pHeader->m_iRightDist1));
	TRACE("m_iRightDist2	: %d\n", ntohl(pHeader->m_iRightDist2));
	TRACE("m_iRightMin		: %d\n", ntohl(pHeader->m_iRightMin));
	TRACE("m_iRightMax		: %d\n", ntohl(pHeader->m_iRightMax));
	TRACE("BAR RESULT		: %s\n", m_barResult.c_str());
	TRACE("OCR RESULT		: %s\n", m_ocrResult.c_str());

	return true;
}
